Run of cme for reportbug

Try this locally (using the cme package):

debcheckout reportbug
cd reportbug
DEB_UPDATE_CHANGELOG=auto cme fix dpkg
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
Warning in 'control binary:reportbug Depends:0': unnecessary unversioned dependency on essential package: apt
Offending value: 'apt'
Warning in 'control binary:reportbug Suggests:0': unnecessary greater-than versioned dependency: claws-mail (>= 3.8.0). Debian has oldoldstable -> 3.11.1-3+deb8u1; oldstable -> 3.14.1-3+b1; stretch-backports -> 3.17.1-1~bpo9+1; stable -> 3.17.3-2; testing -> 3.17.8-1+b1; unstable -> 3.17.8-1+b1;
Offending value: 'claws-mail (>= 3.8.0)'
Warning in 'control binary:reportbug Suggests:2': unnecessary greater-than versioned dependency: debsums (>= 2.0.47). Debian has oldoldstable -> 2.0.53; oldstable -> 2.2.2; stable -> 2.2.3; unstable -> 3.0.2; testing -> 3.0.2;
Offending value: 'debsums (>= 2.0.47)'
Warning in 'control binary:reportbug Suggests:3': package default-mta is unknown. Check for typos if not a virtual package.
Offending value: 'default-mta | postfix | exim4 | mail-transport-agent'
Warning in 'control binary:reportbug Suggests:6': unnecessary greater-than versioned dependency: file (>> 1.30). Debian has oldoldstable -> 1:5.22+15-2+deb8u4; oldstable -> 1:5.30-1+deb9u3; stable -> 1:5.35-4+deb10u2; testing -> 1:5.39-3; unstable -> 1:5.39-3;
Offending value: 'file (>> 1.30)'
Warning in 'control binary:"python3-reportbug" Depends:0': unnecessary unversioned dependency on essential package: apt
Offending value: 'apt'
Warning in 'dirs:0': Make sure that this directory is actually needed. See L<http://www.debian.org/doc/manuals/maint-guide/dother.en.html#dirs> for details
Offending value: 'etc'
Warning in 'dirs:1': Make sure that this directory is actually needed. See L<http://www.debian.org/doc/manuals/maint-guide/dother.en.html#dirs> for details
Offending value: 'usr/bin'
Warning in 'dirs:2': Make sure that this directory is actually needed. See L<http://www.debian.org/doc/manuals/maint-guide/dother.en.html#dirs> for details
Offending value: 'usr/share/bug/reportbug'
Warning in 'install:"reportbug-gtk" content:0': path should not begin with '/'
Offending value: 'share/debian-swirl.svg /usr/share/icons/hicolor/scalable/places/'
Warning in 'install:"reportbug-gtk" content:1': path should not begin with '/'
Offending value: 'debian/reportbug.desktop /usr/share/applications/'
Traceback (most recent call last):
  File "/code/janitor/pull_worker.py", line 262, in run_worker
    with process_package(
  File "/usr/lib/python3.9/contextlib.py", line 117, in __enter__
    return next(self.gen)
  File "/code/janitor/worker.py", line 830, in process_package
    changer_result = build_target.make_changes(
  File "/code/janitor/worker.py", line 495, in make_changes
    return self.changer.make_changes(
  File "/code/janitor/worker.py", line 394, in make_changes
    command_result = debian_script_runner(
  File "/code/silver-platter/silver_platter/debian/apply.py", line 202, in script_runner
    new_revision = local_tree.commit(result.description, allow_pointless=False)
  File "/code/breezy/breezy/mutabletree.py", line 167, in commit
    committed_id = commit.Commit().commit(working_tree=self,
  File "/code/breezy/breezy/commit.py", line 425, in commit
    self.rev_id = self.builder.commit(self.message)
  File "/code/breezy/breezy/git/commit.py", line 181, in commit
    self._validate_unicode_text(message, 'commit message')
  File "/code/breezy/breezy/repository.py", line 146, in _validate_unicode_text
    raise ValueError('Invalid value for %s: %r' % (context, text))
ValueError: Invalid value for commit message: '\rReading package lists... 0%\r\rReading package lists... 0%\r\rReading package lists... 0%\r\rReading package lists... 99%\r\rReading package lists... 99%\r\rReading package lists... Done\r\n\rBuilding dependency tree... 0%\r\rBuilding dependency tree... 0%\r\rBuilding dependency tree... 34%\r\rBuilding dependency tree... 50%\r\rBuilding dependency tree... 50%\r\rBuilding dependency tree... Done\r\n\rReading state information... 0% \r\rReading state information... 0%\r\rReading state information... Done\r\nConnecting to api.ftp-master.debian.org to check 32 package versions. Please wait...\nGot info from api.ftp-master.debian.org for 31 packages.\nConnecting to api.ftp-master.debian.org to check default-mta versions. Please wait...\ngot no info for default-mta\n\nChanges applied to dpkg configuration:\n- control binary:reportbug Depends:0 deleted value: \'apt\' # applied fix for :unnecessary unversioned dependency on essential package: apt\n- control binary:reportbug Suggests:0: \'claws-mail (>= 3.8.0)\' -> \'claws-mail\' # applied fix for :unnecessary greater-than versioned dependency: claws-mail (>= 3.8.0). Debian has oldoldstable -> 3.11.1-3+deb8u1; oldstable -> 3.14.1-3+b1; stretch-backports -> 3.17.1-1~bpo9+1; stable -> 3.17.3-2; testing -> 3.17.8-1+b1; unstable -> 3.17.8-1+b1;\n- control binary:reportbug Suggests:2: \'debsums (>= 2.0.47)\' -> \'debsums\' # applied fix for :unnecessary greater-than versioned dependency: debsums (>= 2.0.47). Debian has oldoldstable -> 2.0.53; oldstable -> 2.2.2; stable -> 2.2.3; unstable -> 3.0.2; testing -> 3.0.2;\n- control binary:reportbug Suggests:6: \'file (>> 1.30)\' -> \'file\' # applied fix for :unnecessary greater-than versioned dependency: file (>> 1.30). Debian has oldoldstable -> 1:5.22+15-2+deb8u4; oldstable -> 1:5.30-1+deb9u3; stable -> 1:5.35-4+deb10u2; testing -> 1:5.39-3; unstable -> 1:5.39-3;\n- control binary:"python3-reportbug" Depends:0 deleted value: \'apt\' # applied fix for :unnecessary unversioned dependency on essential package: apt\n- install:"reportbug-gtk" content:0: \'share/debian-swirl.svg /usr/share/icons/hicolor/scalable/pla[...]\' -> \'share/debian-swirl.svg usr/share/icons/hicolor/scalable/plac[...]\' # applied fix for :path should not begin with \'/\'\n- install:"reportbug-gtk" content:1: \'debian/reportbug.desktop /usr/share/applications/\' -> \'debian/reportbug.desktop usr/share/applications/\' # applied fix for :path should not begin with \'/\'\n\n'

Full worker log